version: "3"

services:
  wrenchboard-cron:
    image: alseambusher/crontab-ui:0.3.16
    hostname: wrenchboard-cron
    container_name: wrenchboard-cron
    privileged: true
    restart: unless-stopped
    environment:
      - BASIC_AUTH_USER=admin
      - BASIC_AUTH_PWD=wrenchboard
    volumes:
      - ./crontabs/:/crontab-ui/crontabs/
      - ./logs:/var/log
      - ./${CRON_ENV:-dev}/cron.d:/etc/crontabs
    ports:
      - 8000:8000